commit: a6e674f49c7f6f7c5c6f22f8b1dbc78df7800405
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 5 19:21:39 2017 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Jul 5 19:22:14 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a6e674f4
app-leechcraft/lc-azoth: Fix DEPEND, sort IUSE, DEPEND, metadata.xml
Fixing up behind my net-libs/qxmpp USE=qt5 removal.
Gentoo-bug: 623920
Package-Manager: Portage-2.3.6, Repoman-2.3.1
app-leechcraft/lc-azoth/lc-azoth-9999.ebuild | 59 +++++++++++++---------------
app-leechcraft/lc-azoth/metadata.xml | 4 +-
2 files changed, 29 insertions(+), 34 deletions(-)
diff --git a/app-leechcraft/lc-azoth/lc-azoth-9999.ebuild
b/app-leechcraft/lc-azoth/lc-azoth-9999.ebuild
index 4859aa4d1a3..c28ca9b213b 100644
--- a/app-leechcraft/lc-azoth/lc-azoth-9999.ebuild
+++ b/app-leechcraft/lc-azoth/lc-azoth-9999.ebuild
@@ -9,48 +9,46 @@ DESCRIPTION="Azoth, the modular IM client for LeechCraft"
SLOT="0"
KEYWORDS=""
-IUSE="debug doc astrality +acetamide +adiumstyles +autoidler +autopaste
+birthdaynotifier
- +chathistory +crypt +depester +embedmedia +herbicide +hili
+isterique
- +juick +keeso +lastseen +metacontacts media +murm +latex
+nativeemoticons
- +otroid +spell sarin shx +standardstyles +vader velvetbird
+woodpecker +xmpp +xtazy"
+IUSE="debug doc +acetamide +adiumstyles astrality +autoidler +autopaste
+birthdaynotifier
+ +chathistory +crypt +depester +embedmedia +herbicide +hili +isterique
+juick
+ +keeso +lastseen +latex media +metacontacts +murm +nativeemoticons
+otroid sarin
+ shx +spell +standardstyles +vader velvetbird +woodpecker +xmpp +xtazy"
+
+REQUIRED_USE="|| ( standardstyles adiumstyles )"
COMMON_DEPEND="
~app-leechcraft/lc-core-${PV}
+ dev-qt/qtdbus:5
dev-qt/qtnetwork:5
dev-qt/qtsql:5
dev-qt/qtwebkit:5
dev-qt/qtxml:5
- dev-qt/qtdbus:5
+ astrality? ( net-libs/telepathy-qt[qt5] )
+ autoidler? (
+ dev-qt/qtx11extras:5
+ x11-libs/libXScrnSaver
+ )
crypt? ( app-crypt/qca:2[qt5] )
- media? (
- dev-qt/qtmultimedia:5
+ lastseen? ( dev-qt/qtconcurrent:5 )
+ media? ( dev-qt/qtmultimedia:5 )
+ otroid? (
+ dev-qt/qtconcurrent:5
+ net-libs/libotr
)
sarin? (
dev-qt/qtconcurrent:5
net-libs/tox
)
- lastseen? (
- dev-qt/qtconcurrent:5
- )
- otroid? (
- dev-qt/qtconcurrent:5
- )
- autoidler? (
- dev-qt/qtx11extras:5
- x11-libs/libXScrnSaver
- )
- astrality? ( net-libs/telepathy-qt[qt5] )
- otroid? ( net-libs/libotr )
woodpecker? ( dev-libs/kqoauth )
xmpp? (
- >=net-libs/qxmpp-0.9.3[qt5]
- media? ( >=net-libs/qxmpp-0.9.3[qt5,speex] )
+ >=net-libs/qxmpp-0.9.3-r1
+ media? ( net-libs/qxmpp[speex] )
)
- xtazy? (
- ~app-leechcraft/lc-xtazy-${PV}
- )"
+ xtazy? ( ~app-leechcraft/lc-xtazy-${PV} )
+"
DEPEND="${COMMON_DEPEND}
- doc? ( app-doc/doxygen[dot] )"
+ doc? ( app-doc/doxygen[dot] )
+"
RDEPEND="${COMMON_DEPEND}
astrality? (
net-im/telepathy-mission-control
@@ -61,11 +59,8 @@ RDEPEND="${COMMON_DEPEND}
virtual/imagemagick-tools
virtual/latex-base
)
- spell? (
- ~app-leechcraft/lc-rosenthal-${PV}
- )"
-
-REQUIRED_USE="|| ( standardstyles adiumstyles )"
+ spell? ( ~app-leechcraft/lc-rosenthal-${PV} )
+"
src_configure() {
local mycmakeargs=(
@@ -86,15 +81,15 @@ src_configure() {
-DENABLE_AZOTH_JUICK=$(usex juick)
-DENABLE_AZOTH_KEESO=$(usex keeso)
-DENABLE_AZOTH_LASTSEEN=$(usex lastseen)
+ -DENABLE_AZOTH_MODNOK=$(usex latex)
-DENABLE_AZOTH_METACONTACTS=$(usex metacontacts)
-DENABLE_MEDIACALLS=$(usex media)
- -DENABLE_AZOTH_MODNOK=$(usex latex)
-DENABLE_AZOTH_MURM=$(usex murm)
-DENABLE_AZOTH_NATIVEEMOTICONS=$(usex nativeemoticons)
-DENABLE_AZOTH_OTROID=$(usex otroid)
-DENABLE_AZOTH_SARIN=$(usex sarin)
- -DENABLE_AZOTH_ROSENTHAL=$(usex spell)
-DENABLE_AZOTH_SHX=$(usex shx)
+ -DENABLE_AZOTH_ROSENTHAL=$(usex spell)
-DENABLE_AZOTH_STANDARDSTYLES=$(usex standardstyles)
-DENABLE_AZOTH_VADER=$(usex vader)
-DENABLE_AZOTH_VELVETBIRD=$(usex velvetbird)
diff --git a/app-leechcraft/lc-azoth/metadata.xml
b/app-leechcraft/lc-azoth/metadata.xml
index cb1e80eb2d6..25fbfb888be 100644
--- a/app-leechcraft/lc-azoth/metadata.xml
+++ b/app-leechcraft/lc-azoth/metadata.xml
@@ -10,9 +10,9 @@
<name>Proxy Maintainers</name>
</maintainer>
<use>
- <flag name="astrality">Build Astrality, support for protocols
provided by Telepathy</flag>
<flag name="acetamide">Build Acetamide, the IRC protocol
support</flag>
<flag name="adiumstyles">Build support for Adium styles</flag>
+ <flag name="astrality">Build Astrality, support for protocols
provided by Telepathy</flag>
<flag name="autoidler">Build support for automatic status
changing according to user idle time</flag>
<flag name="autopaste">Build Autopaste for pasting long texts
to pastebins</flag>
<flag name="birthdaynotifier">Build Birthday Notifier for you
to not forget about birthdays of your contacts.</flag>
@@ -25,8 +25,8 @@
<flag name="juick">Build plugin for the Juick.com microblogging
service</flag>
<flag name="keeso">Build plugin for changing text into
SoMEtHInG lIKe THiS</flag>
<flag name="lastseen">Build plugin for client-side recording of
the last online/available time</flag>
- <flag name="metacontacts">Build plugin for metacontacts
support</flag>
<flag name="media">Enable media calls</flag>
+ <flag name="metacontacts">Build plugin for metacontacts
support</flag>
<flag name="murm">Build Murm, the VKontakte messaging support
via their native API (instead of XMPP)</flag>
<flag name="nativeemoticons">Build support for native Azoth's
emoticons packs</flag>
<flag name="otroid">Build OTRoid, plugin for the Off-the-Record
deniable encryption system</flag>